Subject: RE: [Speermint] TLS, etc - Local-policy versus WG mandate

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Wed, 12 Jul 2006 16:41:58 -0400

Please refresh my memory.  

Was there going to be a separate document that addresses security on the
peering interface?

Or, is this to be a security section in each of the documents that peel
the onion, starting with discovery, with perhaps the policy discovery
layer of the onion saying that federations should establish security
policy and here are the minimum requirements that such policies
hopefully support, with other layers saying signaling/media follow the
security policy, whatever that is?

Mike

> -----Original Message-----
> From: Brian Rosen [mailto:[email-masked]] 
> Sent: Wednesday, July 12, 2006 3:22 PM
> To: 'Uzelac, Adam'; [email-masked]
> Subject: RE: [Speermint] TLS, etc - Local-policy versus WG mandate
> 
> Due to the last minute schedule change, I was unable to 
> attend the meeting, but perhaps we now have enough consensus 
> to write down the answer.
> 
> I think we use the methods we have used in most of the sippish specs:
> 
> It's mandatory to IMPLEMENT TLS between peers (presumably 
> peer proxies).
> It's mandatory to DEPLOY some kind of mutual authentication, 
> which does not have to be TLS.  
> 
> I suspect that we want to actually say that the federation 
> establishes a particular authentication standard that all members use.
> 
> Brian
> 
> 
> 
> -----Original Message-----
> From: Uzelac, Adam [mailto:[email-masked]]
> Sent: Wednesday, July 12, 2006 2:44 PM
> To: [email-masked]
> Subject: [Speermint] TLS, etc - Local-policy versus WG mandate
> 
> Pertaining to the "To TLS or not TLS" discussion in the WG 
> sessions, time didn't permit a proper tomato tossing session 
> at the WG session - but one comment was made about mandating 
> such things as TLS, etc - to which a rebuttal was made that 
> the type of authentication and authorization used and 
> implemented is an issue of local policy and therefore 
> shouldn't be mandated.  
> 
> For fear of starting a "great taste" versus "less filling" 
> argument - Let me start this way....I agree with what 
> appeared to be consensus in the WG session that there needs 
> to be first a Discovery procedure, then an Authentication 
> procedure, and finally connecting the call.  The methods upon 
> which each step along the way is done should not to so narrow 
> as to exclude popular and in some cases widely adopted methods.
> Speermint should provide the BCP - but does that really need 
> to exclude other plausible and practical models?  It's 
> important to note that I believe TLS is the most appropriate, 
> practical and logical approach.  I also believe the there are 
> valid reasons for other approaches to authenticate.  The same 
> holds true for methods of discovery. 
> 
> So the question for the group and possibly some guidance from 
> the chairs here?!?!? - Should an undertaking to determine 
> what should be determined via local policy versus mandated 
> via 'MUSTs' be done?  Is this a section for the requirements doc?
> 
> I would like to thank Rohan for bringing this issue to the 
> forefront in a lightning-rod manner!! ;)
> 
> Regards,
> 
> Adam
> 
> _______________________________________________
> Speermint mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/speermint
> 
> 
> _______________________________________________
> Speermint mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/speermint
> 

_______________________________________________
Speermint mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speermint

---

From: "Reinaldo Penno" <[email-masked]>
Date: Wed, 12 Jul 2006 16:53:31 -0400

I still fell that would be (very) helpful independent of TLS vs. IPSec
vs. Access Lists, etc, etc.

Many WGs have something like it. We need a draft with the
threats/attacks and possibly how the (3?) proposed security methods deal
with them.

Regards,

Reinaldo 

> From: Michael Hammer (mhammer) [mailto:[email-masked]]
> Sent: Wednesday, July 12, 2006 1:42 PM
> To: Brian Rosen; Uzelac, Adam; [email-masked]

---

From: "Uzelac, Adam" <[email-masked]>
Date: Wed, 12 Jul 2006 17:04:23 -0400

Mike,

I am not sure about an agreed upon way to address security concerns, but
there was a request from the WG chairs that a document specifying
threats be compiled.  Dan York from Mitel offered to participate
leveraging his work from www.voipsa.org.

Adam

-----Original Message-----
From: Michael Hammer (mhammer) [mailto:[email-masked]] 
Sent: Wednesday, July 12, 2006 4:42 PM
To: Brian Rosen; Uzelac, Adam; [email-masked]
Subject: RE: [Speermint] TLS, etc - Local-policy versus WG mandate

Mike

> Due to the last minute schedule change, I was unable to attend the 
> meeting, but perhaps we now have enough consensus to write down the 
> answer.
> 
> It's mandatory to IMPLEMENT TLS between peers (presumably peer 
> proxies).
> It's mandatory to DEPLOY some kind of mutual authentication, which 
> does not have to be TLS.
> 
> I suspect that we want to actually say that the federation establishes

> a particular authentication standard that all members use.
> 
> Brian
> 
> 
> 
> Pertaining to the "To TLS or not TLS" discussion in the WG sessions, 
> time didn't permit a proper tomato tossing session at the WG session -

> but one comment was made about mandating such things as TLS, etc - to 
> which a rebuttal was made that the type of authentication and 
> authorization used and implemented is an issue of local policy and 
> therefore shouldn't be mandated.
> 
> argument - Let me start this way....I agree with what appeared to be 
> consensus in the WG session that there needs to be first a Discovery 
> procedure, then an Authentication procedure, and finally connecting 
> the call.  The methods upon which each step along the way is done 
> should not to so narrow as to exclude popular and in some cases widely

> adopted methods.
> Speermint should provide the BCP - but does that really need to 
> exclude other plausible and practical models?  It's important to note 
> that I believe TLS is the most appropriate, practical and logical 
> approach.  I also believe the there are valid reasons for other 
> approaches to authenticate.  The same holds true for methods of 
> discovery.
> 
> So the question for the group and possibly some guidance from the 
> chairs here?!?!? - Should an undertaking to determine what should be 
> determined via local policy versus mandated via 'MUSTs' be done?  Is 
> this a section for the requirements doc?
> 
> I would like to thank Rohan for bringing this issue to the forefront 
> in a lightning-rod manner!! ;)
> 
> Regards,
> 
> Adam
>